Skip to main content

Ensuring That .NET Compact Framework 3.9 SDK Is Correctly Installed

Article ID: KB100041Published: March 29, 2018

Synopsis

Eazfuscator.NET relies on .NET Compact Framework 3.9 SDK when it processes assemblies that target .NET Compact Framework 3.9. Thus it is necessary to ensure that the SDK is correctly installed; otherwise the following error message is produced during obfuscation:

Unable to find .NET Compact Framework 3.9 SDK. Please ensure it is installed.
See https://help.gapotchenko.com/eazfuscator.net/kb/100041 for more details.
info

The link in the above error message points to this article.

A few interesting (and misleading) novelties were introduced in .NET Compact Framework 3.9. First of all, it was released under the umbrella name Windows Embedded Compact 2013. Second, the corresponding SDK was split in two parts:

  1. The first part is called Application Builder; it is used for code compilation purposes
  2. The second part is Device SDK which is tailored towards a particular device. It is provided by the device manufacturer. Device SDK is used for design and debugging purposes. It also adds project templates to Microsoft Visual Studio

Eazfuscator.NET only needs the Application Builder part of the SDK to process .NET Compact Framework 3.9 assemblies. Thankfully, it is provided by Microsoft and is readily available for download.

Instructions

Please follow the instructions below to install .NET Compact Framework 3.9 SDK on your machine:

  1. Download Application Builder for Windows Embedded Compact 2013 setup file
  2. Install the downloaded file

Applicability

This article applies to:

  • Eazfuscator.NET 2018.2 or higher. Earlier versions do not support .NET Compact Framework 3.9
  • Windows 7 or higher. .NET Framework Compact 3.9 SDK cannot be installed on other operating systems